#define _CRT_SECURE_NO_WARNINGS
#include <cstdio>

static const int MOD = 10000;

class cMatrix
{
public:
	int A11, A12, A21, A22;

	cMatrix( int a11, int a12,
		      int a21, int a22 )
		: A11( a11 % MOD )
		, A12( a12 % MOD )
		, A21( a21 % MOD )
		, A22( a22 % MOD )
	{
	}
	cMatrix &operator *=( const cMatrix &x )
	{
		return *this = *this * x;
	}
	friend cMatrix operator *( const cMatrix &a, const cMatrix &b )
	{
		return cMatrix( a.A11 * b.A11 + a.A12 * b.A21, a.A11 * b.A12 + a.A12 * b.A22,
			             a.A21 * b.A11 + a.A22 * b.A21, a.A21 * b.A12 + a.A22 * b.A22 );
	}
};

int N;

bool Read()
{
	scanf( "%d", &N );
	if( N == -1 )
		return false;
	return true;
}

int Result;

void Work()
{
	cMatrix f( 1, 1,
		        1, 0 );
	cMatrix r( 1, 0,
		        0, 1 );
	while( N != 0 )
	{
		if( N & 1 )
			r *= f;
		f *= f;
		N >>= 1;
	}

	Result = r.A12;
}

void Write()
{
	printf( "%d\n", Result );
}

int main()
{
	while( Read() )
	{
		Work();
		Write();
	}
	return 0;
}
